Index: contrib/btree_gist/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/btree_gist/Makefile,v
retrieving revision 1.8
diff -c -r1.8 Makefile
*** contrib/btree_gist/Makefile	27 Sep 2005 17:12:59 -0000	1.8
--- contrib/btree_gist/Makefile	14 Jan 2006 23:16:18 -0000
***************
*** 7,12 ****
--- 7,13 ----
                btree_bytea.o btree_bit.o btree_numeric.o
  
  DATA_built  = btree_gist.sql
+ DATA        = uninstall.sql
  DOCS        = README.btree_gist
  
  REGRESS     = init int2 int4 int8 float4 float8 cash oid timestamp timestamptz time timetz \
Index: contrib/btree_gist/uninstall.sql
===================================================================
RCS file: contrib/btree_gist/uninstall.sql
diff -N contrib/btree_gist/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/btree_gist/uninstall.sql	14 Jan 2006 21:57:09 -0000
***************
*** 0 ****
--- 1,301 ----
+ SET search_path = public;
+ 
+ DROP OPERATOR CLASS gist_cidr_ops;
+ 
+ DROP OPERATOR CLASS gist_inet_ops;
+ 
+ DROP FUNCTION gbt_inet_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_inet_union(bytea, internal);
+ 
+ DROP FUNCTION gbt_inet_picksplit(internal, internal);
+ 
+ DROP FUNCTION gbt_inet_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_cidr_compress(internal);
+ 
+ DROP FUNCTION gbt_inet_compress(internal);
+ 
+ DROP FUNCTION gbt_cidr_consistent(internal,cidr,int2);
+ 
+ DROP FUNCTION gbt_inet_consistent(internal,inet,int2);
+ 
+ DROP OPERATOR CLASS gist_vbit_ops;
+ 
+ DROP OPERATOR CLASS gist_bit_ops;
+ 
+ DROP FUNCTION gbt_bit_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_bit_union(bytea, internal);
+ 
+ DROP FUNCTION gbt_bit_picksplit(internal, internal);
+ 
+ DROP FUNCTION gbt_bit_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_bit_compress(internal);
+ 
+ DROP FUNCTION gbt_bit_consistent(internal,bit,int2);
+ 
+ DROP OPERATOR CLASS gist_numeric_ops;
+ 
+ DROP FUNCTION gbt_numeric_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_numeric_union(bytea, internal);
+ 
+ DROP FUNCTION gbt_numeric_picksplit(internal, internal);
+ 
+ DROP FUNCTION gbt_numeric_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_numeric_compress(internal);
+ 
+ DROP FUNCTION gbt_numeric_consistent(internal,numeric,int2);
+ 
+ DROP OPERATOR CLASS gist_bytea_ops;
+ 
+ DROP FUNCTION gbt_bytea_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_bytea_union(bytea, internal);
+ 
+ DROP FUNCTION gbt_bytea_picksplit(internal, internal);
+ 
+ DROP FUNCTION gbt_bytea_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_bytea_compress(internal);
+ 
+ DROP FUNCTION gbt_bytea_consistent(internal,bytea,int2);
+ 
+ DROP OPERATOR CLASS gist_bpchar_ops;
+ 
+ DROP OPERATOR CLASS gist_text_ops;
+ 
+ DROP FUNCTION gbt_text_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_text_union(bytea, internal);
+ 
+ DROP FUNCTION gbt_text_picksplit(internal, internal);
+ 
+ DROP FUNCTION gbt_text_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_bpchar_compress(internal);
+ 
+ DROP FUNCTION gbt_text_compress(internal);
+ 
+ DROP FUNCTION gbt_bpchar_consistent(internal,bpchar,int2);
+ 
+ DROP FUNCTION gbt_text_consistent(internal,text,int2);
+ 
+ DROP OPERATOR CLASS gist_macaddr_ops;
+ 
+ DROP FUNCTION gbt_macad_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_macad_union(bytea, internal);
+ 
+ DROP FUNCTION gbt_macad_picksplit(internal, internal);
+ 
+ DROP FUNCTION gbt_macad_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_macad_compress(internal);
+ 
+ DROP FUNCTION gbt_macad_consistent(internal,macaddr,int2);
+ 
+ DROP OPERATOR CLASS gist_cash_ops;
+ 
+ DROP FUNCTION gbt_cash_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_cash_union(bytea, internal);
+ 
+ DROP FUNCTION gbt_cash_picksplit(internal, internal);
+ 
+ DROP FUNCTION gbt_cash_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_cash_compress(internal);
+ 
+ DROP FUNCTION gbt_cash_consistent(internal,money,int2);
+ 
+ DROP OPERATOR CLASS gist_interval_ops;
+ 
+ DROP FUNCTION gbt_intv_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_intv_union(bytea, internal);
+       
+ DROP FUNCTION gbt_intv_picksplit(internal, internal);
+    
+ DROP FUNCTION gbt_intv_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_intv_decompress(internal);
+ 
+ DROP FUNCTION gbt_intv_compress(internal);
+ 
+ DROP FUNCTION gbt_intv_consistent(internal,interval,int2);
+ 
+ DROP OPERATOR CLASS gist_date_ops;
+ 
+ DROP FUNCTION gbt_date_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_date_union(bytea, internal);
+       
+ DROP FUNCTION gbt_date_picksplit(internal, internal);
+    
+ DROP FUNCTION gbt_date_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_date_compress(internal);
+ 
+ DROP FUNCTION gbt_date_consistent(internal,date,int2);
+ 
+ DROP OPERATOR CLASS gist_timetz_ops;
+ 
+ DROP OPERATOR CLASS gist_time_ops;
+ 
+ DROP FUNCTION gbt_time_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_time_union(bytea, internal);
+       
+ DROP FUNCTION gbt_time_picksplit(internal, internal);
+    
+ DROP FUNCTION gbt_time_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_timetz_compress(internal);
+ 
+ DROP FUNCTION gbt_time_compress(internal);
+ 
+ DROP FUNCTION gbt_timetz_consistent(internal,timetz,int2);
+ 
+ DROP FUNCTION gbt_time_consistent(internal,time,int2);
+ 
+ DROP OPERATOR CLASS gist_timestamptz_ops;
+ 
+ DROP OPERATOR CLASS gist_timestamp_ops;
+ 
+ DROP FUNCTION gbt_ts_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_ts_union(bytea, internal);
+       
+ DROP FUNCTION gbt_ts_picksplit(internal, internal);
+    
+ DROP FUNCTION gbt_ts_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_tstz_compress(internal);
+ 
+ DROP FUNCTION gbt_ts_compress(internal);
+       
+ DROP FUNCTION gbt_tstz_consistent(internal,timestamptz,int2);
+ 
+ DROP FUNCTION gbt_ts_consistent(internal,timestamp,int2);
+ 
+ DROP OPERATOR CLASS gist_float8_ops;
+ 
+ DROP FUNCTION gbt_float8_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_float8_union(bytea, internal);
+ 
+ DROP FUNCTION gbt_float8_picksplit(internal, internal);
+ 
+ DROP FUNCTION gbt_float8_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_float8_compress(internal);
+ 
+ DROP FUNCTION gbt_float8_consistent(internal,float8,int2);
+ 
+ DROP OPERATOR CLASS gist_float4_ops;
+ 
+ DROP FUNCTION gbt_float4_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_float4_union(bytea, internal);
+ 
+ DROP FUNCTION gbt_float4_picksplit(internal, internal);
+ 
+ DROP FUNCTION gbt_float4_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_float4_compress(internal);
+ 
+ DROP FUNCTION gbt_float4_consistent(internal,float4,int2);
+ 
+ DROP OPERATOR CLASS gist_int8_ops;
+ 
+ DROP FUNCTION gbt_int8_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_int8_union(bytea, internal);
+ 
+ DROP FUNCTION gbt_int8_picksplit(internal, internal);
+ 
+ DROP FUNCTION gbt_int8_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_int8_compress(internal);
+ 
+ DROP FUNCTION gbt_int8_consistent(internal,int8,int2);
+ 
+ DROP OPERATOR CLASS gist_int4_ops;
+ 
+ DROP FUNCTION gbt_int4_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_int4_union(bytea, internal);
+ 
+ DROP FUNCTION gbt_int4_picksplit(internal, internal);
+ 
+ DROP FUNCTION gbt_int4_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_int4_compress(internal);
+ 
+ DROP FUNCTION gbt_int4_consistent(internal,int4,int2);
+ 
+ DROP OPERATOR CLASS gist_int2_ops;
+ 
+ DROP FUNCTION gbt_int2_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_int2_union(bytea, internal);
+ 
+ DROP FUNCTION gbt_int2_picksplit(internal, internal);
+ 
+ DROP FUNCTION gbt_int2_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_int2_compress(internal);
+ 
+ DROP FUNCTION gbt_int2_consistent(internal,int2,int2);
+ 
+ DROP OPERATOR CLASS gist_oid_ops;
+ 
+ DROP FUNCTION gbt_oid_same(internal, internal, internal);
+ 
+ DROP FUNCTION gbt_oid_union(bytea, internal);
+ 
+ DROP FUNCTION gbt_oid_picksplit(internal, internal);
+ 
+ DROP FUNCTION gbt_oid_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gbt_var_decompress(internal);
+ 
+ DROP FUNCTION gbt_decompress(internal);
+ 
+ DROP FUNCTION gbt_oid_compress(internal);
+ 
+ DROP FUNCTION gbt_oid_consistent(internal,oid,int2);
+ 
+ DROP TYPE gbtreekey_var;
+ 
+ DROP FUNCTION gbtreekey_var_out(gbtreekey_var);
+ 
+ DROP FUNCTION gbtreekey_var_in(cstring);
+ 
+ DROP TYPE gbtreekey32;
+ 
+ DROP FUNCTION gbtreekey32_out(gbtreekey32);
+ 
+ DROP FUNCTION gbtreekey32_in(cstring);
+ 
+ DROP TYPE gbtreekey16;
+ 
+ DROP FUNCTION gbtreekey16_out(gbtreekey16);
+ 
+ DROP FUNCTION gbtreekey16_in(cstring);
+ 
+ DROP TYPE gbtreekey8;
+ 
+ DROP FUNCTION gbtreekey8_out(gbtreekey8);
+ 
+ DROP FUNCTION gbtreekey8_in(cstring);
+ 
+ DROP TYPE gbtreekey4;
+ 
+ DROP FUNCTION gbtreekey4_out(gbtreekey4);
+ 
+ DROP FUNCTION gbtreekey4_in(cstring);
Index: contrib/chkpass/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/chkpass/Makefile,v
retrieving revision 1.7
diff -c -r1.7 Makefile
*** contrib/chkpass/Makefile	27 Sep 2005 17:13:00 -0000	1.7
--- contrib/chkpass/Makefile	14 Jan 2006 23:16:03 -0000
***************
*** 1,9 ****
! # $PostgreSQL: pgsql/contrib/chkpass/Makefile,v 1.6 2004/08/20 20:13:02 momjian Exp $
  
  MODULE_big = chkpass
  OBJS = chkpass.o
  SHLIB_LINK = $(filter -lcrypt, $(LIBS))
  DATA_built = chkpass.sql
  DOCS = README.chkpass
  
  ifdef USE_PGXS
--- 1,10 ----
! # $PostgreSQL: pgsql/contrib/chkpass/Makefile,v 1.7 2005/09/27 17:13:00 tgl Exp $
  
  MODULE_big = chkpass
  OBJS = chkpass.o
  SHLIB_LINK = $(filter -lcrypt, $(LIBS))
  DATA_built = chkpass.sql
+ DATA = uninstall.sql
  DOCS = README.chkpass
  
  ifdef USE_PGXS
Index: contrib/chkpass/uninstall.sql
===================================================================
RCS file: contrib/chkpass/uninstall.sql
diff -N contrib/chkpass/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/chkpass/uninstall.sql	14 Jan 2006 22:12:29 -0000
***************
*** 0 ****
--- 1,28 ----
+ SET search_path = public;
+ 
+ DROP OPERATOR <>; (
+ 	leftarg = chkpass,
+ 	rightarg = text,
+ 	negator = =,
+ 	procedure = ne
+ );
+ 
+ DROP OPERATOR =; (
+ 	leftarg = chkpass,
+ 	rightarg = text,
+ 	commutator = =,
+ --	negator = <>,
+ 	procedure = eq
+ );
+ 
+ DROP FUNCTION ne(chkpass, text);
+ 
+ DROP FUNCTION eq(chkpass, text);
+ 
+ DROP FUNCTION raw(chkpass);
+ 
+ DROP TYPE chkpass;
+ 
+ DROP FUNCTION chkpass_out(chkpass);
+ 
+ DROP FUNCTION chkpass_in(cstring);
Index: contrib/cube/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/cube/Makefile,v
retrieving revision 1.15
diff -c -r1.15 Makefile
*** contrib/cube/Makefile	18 Oct 2005 01:30:48 -0000	1.15
--- contrib/cube/Makefile	14 Jan 2006 23:15:58 -0000
***************
*** 1,9 ****
! # $PostgreSQL: pgsql/contrib/cube/Makefile,v 1.14 2005/09/27 17:13:00 tgl Exp $
  
  MODULE_big = cube
  OBJS= cube.o cubeparse.o
  
  DATA_built = cube.sql
  DOCS = README.cube
  REGRESS = cube
  
--- 1,10 ----
! # $PostgreSQL: pgsql/contrib/cube/Makefile,v 1.15 2005/10/18 01:30:48 tgl Exp $
  
  MODULE_big = cube
  OBJS= cube.o cubeparse.o
  
  DATA_built = cube.sql
+ DATA = uninstall.sql
  DOCS = README.cube
  REGRESS = cube
  
Index: contrib/cube/uninstall.sql
===================================================================
RCS file: contrib/cube/uninstall.sql
diff -N contrib/cube/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/cube/uninstall.sql	14 Jan 2006 22:50:45 -0000
***************
*** 0 ****
--- 1,93 ----
+ SET search_path = public;
+ 
+ DROP OPERATOR CLASS gist_cube_ops;
+ 
+ DROP OPERATOR CLASS cube_ops;
+ 
+ DROP FUNCTION g_cube_same(cube, cube, internal);
+ 
+ DROP FUNCTION g_cube_union(internal, internal);
+ 
+ DROP FUNCTION g_cube_picksplit(internal, internal);
+ 
+ DROP FUNCTION g_cube_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION g_cube_decompress(internal);
+ 
+ DROP FUNCTION g_cube_compress(internal);
+ 
+ DROP FUNCTION g_cube_consistent(internal,cube,int4);
+ 
+ DROP OPERATOR ~ (cube, cube);
+ 
+ DROP OPERATOR @ (cube, cube);
+ 
+ DROP OPERATOR <> (cube, cube);
+ 
+ DROP OPERATOR = (cube, cube);
+ 
+ DROP OPERATOR && (cube, cube);
+ 
+ DROP OPERATOR >= (cube, cube);
+ 
+ DROP OPERATOR <= (cube, cube);
+ 
+ DROP OPERATOR > (cube, cube);
+ 
+ DROP OPERATOR < (cube, cube);
+ 
+ DROP FUNCTION cube_enlarge(cube, float8, int4);
+ 
+ DROP FUNCTION cube_is_point(cube);
+ 
+ DROP FUNCTION cube(cube, float8, float8);
+ 
+ DROP FUNCTION cube(cube, float8);
+ 
+ DROP FUNCTION cube(float8, float8);
+ 
+ DROP FUNCTION cube(float8);
+ 
+ DROP FUNCTION cube_ur_coord(cube, int4);
+ 
+ DROP FUNCTION cube_ll_coord(cube, int4);
+ 
+ DROP FUNCTION cube_dim(cube);
+ 
+ DROP FUNCTION cube_distance(cube, cube);
+ 
+ DROP FUNCTION cube_size(cube);
+ 
+ DROP FUNCTION cube_inter(cube, cube);
+ 
+ DROP FUNCTION cube_union(cube, cube);
+ 
+ DROP FUNCTION cube_overlap(cube, cube);
+ 
+ DROP FUNCTION cube_contained(cube, cube);
+ 
+ DROP FUNCTION cube_contains(cube, cube);
+ 
+ DROP FUNCTION cube_cmp(cube, cube);
+ 
+ DROP FUNCTION cube_ge(cube, cube);
+ 
+ DROP FUNCTION cube_le(cube, cube);
+ 
+ DROP FUNCTION cube_gt(cube, cube);
+ 
+ DROP FUNCTION cube_lt(cube, cube);
+ 
+ DROP FUNCTION cube_ne(cube, cube);
+ 
+ DROP FUNCTION cube_eq(cube, cube);
+ 
+ DROP CAST (text AS cube);
+ 
+ DROP FUNCTION cube(text);
+ 
+ DROP FUNCTION cube_out(cube);
+ 
+ DROP TYPE cube;
+ 
+ DROP FUNCTION cube_in(cstring);
Index: contrib/dblink/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/dblink/Makefile,v
retrieving revision 1.10
diff -c -r1.10 Makefile
*** contrib/dblink/Makefile	27 Sep 2005 17:13:01 -0000	1.10
--- contrib/dblink/Makefile	14 Jan 2006 23:15:52 -0000
***************
*** 1,4 ****
! # $PostgreSQL: pgsql/contrib/dblink/Makefile,v 1.9 2004/08/20 20:13:03 momjian Exp $
  
  MODULE_big = dblink
  PG_CPPFLAGS = -I$(libpq_srcdir)
--- 1,4 ----
! # $PostgreSQL: pgsql/contrib/dblink/Makefile,v 1.10 2005/09/27 17:13:01 tgl Exp $
  
  MODULE_big = dblink
  PG_CPPFLAGS = -I$(libpq_srcdir)
***************
*** 6,11 ****
--- 6,12 ----
  SHLIB_LINK = $(libpq)
  
  DATA_built = dblink.sql 
+ DATA = uninstall.sql 
  DOCS = README.dblink
  REGRESS = dblink
  
Index: contrib/dblink/uninstall.sql
===================================================================
RCS file: contrib/dblink/uninstall.sql
diff -N contrib/dblink/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/dblink/uninstall.sql	14 Jan 2006 22:52:53 -0000
***************
*** 0 ****
--- 1,59 ----
+ DROP FUNCTION dblink_current_query ();
+ 
+ DROP FUNCTION dblink_build_sql_update (text, int2vector, int4, _text, _text);
+ 
+ DROP FUNCTION dblink_build_sql_delete (text, int2vector, int4, _text);
+ 
+ DROP FUNCTION dblink_build_sql_insert (text, int2vector, int4, _text, _text);
+ 
+ DROP FUNCTION dblink_get_pkey (text);
+ 
+ CREATE TYPE dblink_pkey_results AS (position int4, colname text);
+ 
+ DROP FUNCTION dblink_exec (text,bool);
+ 
+ DROP FUNCTION dblink_exec (text);
+ 
+ DROP FUNCTION dblink_exec (text,text,bool);
+ 
+ DROP FUNCTION dblink_exec (text,text);
+ 
+ DROP FUNCTION dblink (text,bool);
+ 
+ DROP FUNCTION dblink (text);
+ 
+ DROP FUNCTION dblink (text,text,bool);
+ 
+ DROP FUNCTION dblink (text,text);
+ 
+ DROP FUNCTION dblink_close (text,text,bool);
+ 
+ DROP FUNCTION dblink_close (text,text);
+ 
+ DROP FUNCTION dblink_close (text,bool);
+ 
+ DROP FUNCTION dblink_close (text);
+ 
+ DROP FUNCTION dblink_fetch (text,text,int,bool);
+ 
+ DROP FUNCTION dblink_fetch (text,text,int);
+ 
+ DROP FUNCTION dblink_fetch (text,int,bool);
+ 
+ DROP FUNCTION dblink_fetch (text,int);
+ 
+ DROP FUNCTION dblink_open (text,text,text,bool);
+ 
+ DROP FUNCTION dblink_open (text,text,text);
+ 
+ DROP FUNCTION dblink_open (text,text,bool);
+ 
+ DROP FUNCTION dblink_open (text,text);
+ 
+ DROP FUNCTION dblink_disconnect (text);
+ 
+ DROP FUNCTION dblink_disconnect ();
+ 
+ DROP FUNCTION dblink_connect (text, text);
+ 
+ DROP FUNCTION dblink_connect (text);
Index: contrib/dbmirror/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/dbmirror/Makefile,v
retrieving revision 1.5
diff -c -r1.5 Makefile
*** contrib/dbmirror/Makefile	27 Sep 2005 17:13:01 -0000	1.5
--- contrib/dbmirror/Makefile	14 Jan 2006 22:54:52 -0000
***************
*** 1,4 ****
! # $PostgreSQL: pgsql/contrib/dbmirror/Makefile,v 1.4 2004/11/04 06:09:19 neilc Exp $
  
  MODULES = pending
  SCRIPTS = clean_pending.pl DBMirror.pl
--- 1,4 ----
! # $PostgreSQL: pgsql/contrib/dbmirror/Makefile,v 1.5 2005/09/27 17:13:01 tgl Exp $
  
  MODULES = pending
  SCRIPTS = clean_pending.pl DBMirror.pl
Index: contrib/earthdistance/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/earthdistance/Makefile,v
retrieving revision 1.16
diff -c -r1.16 Makefile
*** contrib/earthdistance/Makefile	27 Sep 2005 17:13:02 -0000	1.16
--- contrib/earthdistance/Makefile	14 Jan 2006 23:15:40 -0000
***************
*** 1,7 ****
! # $PostgreSQL: pgsql/contrib/earthdistance/Makefile,v 1.15 2005/07/24 23:30:09 tgl Exp $
  
  MODULES = earthdistance
  DATA_built = earthdistance.sql
  DOCS = README.earthdistance
  REGRESS = earthdistance
  
--- 1,8 ----
! # $PostgreSQL: pgsql/contrib/earthdistance/Makefile,v 1.16 2005/09/27 17:13:02 tgl Exp $
  
  MODULES = earthdistance
  DATA_built = earthdistance.sql
+ DATA = uninstall.sql
  DOCS = README.earthdistance
  REGRESS = earthdistance
  
Index: contrib/earthdistance/uninstall.sql
===================================================================
RCS file: contrib/earthdistance/uninstall.sql
diff -N contrib/earthdistance/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/earthdistance/uninstall.sql	14 Jan 2006 23:12:45 -0000
***************
*** 0 ****
--- 1,23 ----
+ SET search_path = public;
+ 
+ DROP OPERATOR <@> (point, point);
+ 
+ DROP FUNCTION geo_distance (point, point);
+ 
+ DROP FUNCTION earth_box(earth, float8);
+ 
+ DROP FUNCTION earth_distance(earth, earth);
+ 
+ DROP FUNCTION longitude(earth);
+ 
+ DROP FUNCTION latitude(earth);
+ 
+ DROP FUNCTION ll_to_earth(float8, float8);
+ 
+ DROP FUNCTION gc_to_sec(float8);
+ 
+ DROP FUNCTION sec_to_gc(float8);
+ 
+ DROP DOMAIN earth;
+ 
+ DROP FUNCTION earth();
Index: contrib/fuzzystrmatch/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/fuzzystrmatch/Makefile,v
retrieving revision 1.6
diff -c -r1.6 Makefile
*** contrib/fuzzystrmatch/Makefile	27 Sep 2005 17:13:03 -0000	1.6
--- contrib/fuzzystrmatch/Makefile	14 Jan 2006 23:17:53 -0000
***************
*** 1,9 ****
! # $PostgreSQL: pgsql/contrib/fuzzystrmatch/Makefile,v 1.5 2004/08/20 20:13:04 momjian Exp $
  
  MODULE_big = fuzzystrmatch
  SRCS += fuzzystrmatch.c dmetaphone.c
  OBJS = $(SRCS:.c=.o)
  DATA_built = fuzzystrmatch.sql
  DOCS = README.fuzzystrmatch README.soundex
  
  ifdef USE_PGXS
--- 1,10 ----
! # $PostgreSQL: pgsql/contrib/fuzzystrmatch/Makefile,v 1.6 2005/09/27 17:13:03 tgl Exp $
  
  MODULE_big = fuzzystrmatch
  SRCS += fuzzystrmatch.c dmetaphone.c
  OBJS = $(SRCS:.c=.o)
  DATA_built = fuzzystrmatch.sql
+ DATA = uninstall.sql
  DOCS = README.fuzzystrmatch README.soundex
  
  ifdef USE_PGXS
Index: contrib/fuzzystrmatch/uninstall.sql
===================================================================
RCS file: contrib/fuzzystrmatch/uninstall.sql
diff -N contrib/fuzzystrmatch/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/fuzzystrmatch/uninstall.sql	14 Jan 2006 23:18:44 -0000
***************
*** 0 ****
--- 1,16 ----
+ -- Adjust this setting to control where the objects get created.
+ SET search_path = public;
+ 
+ DROP FUNCTION dmetaphone_alt (text);
+ 
+ DROP FUNCTION dmetaphone (text);
+ 
+ DROP FUNCTION difference(text,text);
+ 
+ DROP FUNCTION text_soundex(text);
+ 
+ DROP FUNCTION soundex(text);
+ 
+ DROP FUNCTION metaphone (text,int);
+ 
+ DROP FUNCTION levenshtein (text,text);
Index: contrib/intagg/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/intagg/Makefile,v
retrieving revision 1.6
diff -c -r1.6 Makefile
*** contrib/intagg/Makefile	27 Sep 2005 17:13:03 -0000	1.6
--- contrib/intagg/Makefile	14 Jan 2006 23:19:18 -0000
***************
*** 2,11 ****
  # Makefile for integer aggregator
  # Copyright (C) 2001 Digital Music Network.
  # by Mark L. Woodward
! # $PostgreSQL: pgsql/contrib/intagg/Makefile,v 1.5 2004/08/20 20:13:04 momjian Exp $
  
  MODULES = int_aggregate
  DATA_built = int_aggregate.sql
  DOCS = README.int_aggregate
  
  ifdef USE_PGXS
--- 2,12 ----
  # Makefile for integer aggregator
  # Copyright (C) 2001 Digital Music Network.
  # by Mark L. Woodward
! # $PostgreSQL: pgsql/contrib/intagg/Makefile,v 1.6 2005/09/27 17:13:03 tgl Exp $
  
  MODULES = int_aggregate
  DATA_built = int_aggregate.sql
+ DATA = uninstall.sql
  DOCS = README.int_aggregate
  
  ifdef USE_PGXS
Index: contrib/intagg/uninstall.sql
===================================================================
RCS file: contrib/intagg/uninstall.sql
diff -N contrib/intagg/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/intagg/uninstall.sql	14 Jan 2006 23:26:07 -0000
***************
*** 0 ****
--- 1,9 ----
+ SET search_path = public;
+ 
+ DROP FUNCTION int_array_enum(int4[]);
+ 
+ DROP AGGREGATE int_array_aggregate (int4);
+ 
+ DROP FUNCTION int_agg_final_array (int4[]);
+ 
+ DROP FUNCTION int_agg_state (int4[], int4);
Index: contrib/intarray/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/intarray/Makefile,v
retrieving revision 1.12
diff -c -r1.12 Makefile
*** contrib/intarray/Makefile	27 Sep 2005 17:13:04 -0000	1.12
--- contrib/intarray/Makefile	14 Jan 2006 23:26:47 -0000
***************
*** 1,8 ****
! # $PostgreSQL: pgsql/contrib/intarray/Makefile,v 1.11 2004/08/20 20:13:04 momjian Exp $
  
  MODULE_big = _int
  OBJS = _int_bool.o _int_gist.o _int_op.o _int_tool.o _intbig_gist.o 
  DATA_built = _int.sql
  DOCS = README.intarray
  REGRESS = _int
  
--- 1,9 ----
! # $PostgreSQL: pgsql/contrib/intarray/Makefile,v 1.12 2005/09/27 17:13:04 tgl Exp $
  
  MODULE_big = _int
  OBJS = _int_bool.o _int_gist.o _int_op.o _int_tool.o _intbig_gist.o 
  DATA_built = _int.sql
+ DATA = uninstall.sql
  DOCS = README.intarray
  REGRESS = _int
  
Index: contrib/intarray/uninstall.sql
===================================================================
RCS file: contrib/intarray/uninstall.sql
diff -N contrib/intarray/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/intarray/uninstall.sql	14 Jan 2006 23:52:07 -0000
***************
*** 0 ****
--- 1,123 ----
+ SET search_path = public;
+ 
+ DROP OPERATOR CLASS gist__intbig_ops;
+ 
+ DROP FUNCTION g_intbig_same(internal, internal, internal);
+ 
+ DROP FUNCTION g_intbig_union(internal, internal);
+ 
+ DROP FUNCTION g_intbig_picksplit(internal, internal);
+ 
+ DROP FUNCTION g_intbig_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION g_intbig_decompress(internal);
+ 
+ DROP FUNCTION g_intbig_compress(internal);
+ 
+ DROP FUNCTION g_intbig_consistent(internal,internal,int4);
+ 
+ DROP TYPE intbig_gkey;
+ 
+ DROP FUNCTION _intbig_out(intbig_gkey);
+ 
+ DROP FUNCTION _intbig_in(cstring);
+ 
+ DROP OPERATOR CLASS gist__int_ops;
+ 
+ DROP FUNCTION g_int_same(_int4, _int4, internal);
+ 
+ DROP FUNCTION g_int_union(internal, internal);
+ 
+ DROP FUNCTION g_int_picksplit(internal, internal);
+ 
+ DROP FUNCTION g_int_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION g_int_decompress(internal);
+ 
+ DROP FUNCTION g_int_compress(internal);
+ 
+ DROP FUNCTION g_int_consistent(internal,_int4,int4);
+ 
+ DROP OPERATOR & (_int4, _int4);
+ 
+ DROP OPERATOR - (_int4, _int4);
+ 
+ DROP FUNCTION intset_subtract(_int4, _int4);
+ 
+ DROP OPERATOR | (_int4, _int4);
+ 
+ DROP OPERATOR | (_int4, int4);
+ 
+ DROP FUNCTION intset_union_elem(_int4, int4);
+ 
+ DROP OPERATOR - (_int4, int4);
+ 
+ DROP FUNCTION intarray_del_elem(_int4, int4);
+ 
+ DROP OPERATOR + (_int4, _int4);
+ 
+ DROP FUNCTION intarray_push_array(_int4, _int4);
+ 
+ DROP OPERATOR + (_int4, int4);
+ 
+ DROP FUNCTION intarray_push_elem(_int4, int4);
+ 
+ DROP FUNCTION subarray(_int4, int4);
+ 
+ DROP FUNCTION subarray(_int4, int4, int4);
+ 
+ DROP OPERATOR # (_int4, int4);
+ 
+ DROP FUNCTION idx(_int4, int4);
+ 
+ DROP FUNCTION uniq(_int4);
+ 
+ DROP FUNCTION sort_desc(_int4);
+ 
+ DROP FUNCTION sort_asc(_int4);
+ 
+ DROP FUNCTION sort(_int4);
+ 
+ DROP FUNCTION sort(_int4, text);
+ 
+ DROP OPERATOR # (NONE, _int4);
+ 
+ DROP FUNCTION icount(_int4);
+ 
+ DROP FUNCTION intset(int4);
+ 
+ DROP OPERATOR ~ (_int4, _int4);
+ 
+ DROP OPERATOR @ (_int4, _int4);
+ 
+ DROP OPERATOR && (_int4, _int4);
+ 
+ DROP FUNCTION _int_inter(_int4, _int4);
+ 
+ DROP FUNCTION _int_union(_int4, _int4);
+ 
+ DROP FUNCTION _int_different(_int4, _int4);
+ 
+ DROP FUNCTION _int_same(_int4, _int4);
+ 
+ DROP FUNCTION _int_overlap(_int4, _int4);
+ 
+ DROP FUNCTION _int_contained(_int4, _int4);
+ 
+ DROP FUNCTION _int_contains(_int4, _int4);
+ 
+ DROP OPERATOR ~~ (query_int, _int4);
+ 
+ DROP OPERATOR @@ (_int4, query_int);
+ 
+ DROP FUNCTION rboolop(query_int, _int4);
+ 
+ DROP FUNCTION boolop(_int4, query_int);
+ 
+ DROP FUNCTION querytree(query_int);
+ 
+ DROP TYPE query_int;
+ 
+ DROP FUNCTION bqarr_out(query_int);
+ 
+ DROP FUNCTION bqarr_in(cstring);
Index: contrib/isbn_issn/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/isbn_issn/Makefile,v
retrieving revision 1.14
diff -c -r1.14 Makefile
*** contrib/isbn_issn/Makefile	27 Sep 2005 17:13:04 -0000	1.14
--- contrib/isbn_issn/Makefile	14 Jan 2006 23:52:46 -0000
***************
*** 1,7 ****
! # $PostgreSQL: pgsql/contrib/isbn_issn/Makefile,v 1.13 2004/08/20 20:13:04 momjian Exp $
  
  MODULES = isbn_issn
  DATA_built = isbn_issn.sql
  DOCS = README.isbn_issn
  
  ifdef USE_PGXS
--- 1,8 ----
! # $PostgreSQL: pgsql/contrib/isbn_issn/Makefile,v 1.14 2005/09/27 17:13:04 tgl Exp $
  
  MODULES = isbn_issn
  DATA_built = isbn_issn.sql
+ DATA = uninstall.sql
  DOCS = README.isbn_issn
  
  ifdef USE_PGXS
Index: contrib/isbn_issn/uninstall.sql
===================================================================
RCS file: contrib/isbn_issn/uninstall.sql
diff -N contrib/isbn_issn/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/isbn_issn/uninstall.sql	14 Jan 2006 23:59:07 -0000
***************
*** 0 ****
--- 1,69 ----
+ SET search_path = public;
+ 
+ DROP OPERATOR CLASS isbn_ops;
+ 
+ DROP FUNCTION isbn_cmp(isbn, isbn);
+ 
+ DROP OPERATOR <> (isbn, isbn);
+ 
+ DROP OPERATOR > (isbn, isbn);
+ 
+ DROP OPERATOR >= (isbn, isbn);
+ 
+ DROP OPERATOR = (isbn, isbn);
+ 
+ DROP OPERATOR <= (isbn, isbn);
+ 
+ DROP OPERATOR < (isbn, isbn);
+ 
+ DROP FUNCTION isbn_ne(isbn, isbn);
+ 
+ DROP FUNCTION isbn_gt(isbn, isbn);
+ 
+ DROP FUNCTION isbn_ge(isbn, isbn);
+ 
+ DROP FUNCTION isbn_eq(isbn, isbn);
+ 
+ DROP FUNCTION isbn_le(isbn, isbn);
+ 
+ DROP FUNCTION isbn_lt(isbn, isbn);
+ 
+ DROP TYPE isbn;
+ 
+ DROP FUNCTION isbn_out(isbn);
+ 
+ DROP FUNCTION isbn_in(cstring);
+ 
+ DROP OPERATOR CLASS issn_ops;
+ 
+ DROP FUNCTION issn_cmp(issn, issn);
+ 
+ DROP OPERATOR <> (issn, issn);
+ 
+ DROP OPERATOR > (issn, issn);
+ 
+ DROP OPERATOR >= (issn, issn);
+ 
+ DROP OPERATOR = (issn, issn);
+ 
+ DROP OPERATOR <= (issn, issn);
+ 
+ DROP OPERATOR < (issn, issn);
+ 
+ DROP FUNCTION issn_ne(issn, issn);
+ 
+ DROP FUNCTION issn_gt(issn, issn);
+ 
+ DROP FUNCTION issn_ge(issn, issn);
+ 
+ DROP FUNCTION issn_eq(issn, issn);
+ 
+ DROP FUNCTION issn_le(issn, issn);
+ 
+ DROP FUNCTION issn_lt(issn, issn);
+ 
+ DROP TYPE issn;
+ 
+ DROP FUNCTION issn_out(issn);
+ 
+ DROP FUNCTION issn_in(cstring);
Index: contrib/ltree/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/ltree/Makefile,v
retrieving revision 1.4
diff -c -r1.4 Makefile
*** contrib/ltree/Makefile	27 Sep 2005 17:13:05 -0000	1.4
--- contrib/ltree/Makefile	15 Jan 2006 00:00:10 -0000
***************
*** 3,8 ****
--- 3,9 ----
  OBJS = 	ltree_io.o ltree_op.o lquery_op.o _ltree_op.o crc32.o \
  	ltxtquery_io.o ltxtquery_op.o ltree_gist.o _ltree_gist.o
  DATA_built = ltree.sql
+ DATA = uninstall.sql
  DOCS = README.ltree
  REGRESS = ltree
  
Index: contrib/ltree/uninstall.sql
===================================================================
RCS file: contrib/ltree/uninstall.sql
diff -N contrib/ltree/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/ltree/uninstall.sql	15 Jan 2006 00:05:05 -0000
***************
*** 0 ****
--- 1,251 ----
+ SET search_path = public;
+ 
+ DROP OPERATOR CLASS gist__ltree_ops;
+ 
+ DROP FUNCTION _ltree_same(internal, internal, internal);
+ 
+ DROP FUNCTION _ltree_union(internal, internal);
+ 
+ DROP FUNCTION _ltree_picksplit(internal, internal);
+ 
+ DROP FUNCTION _ltree_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION _ltree_compress(internal);
+ 
+ DROP FUNCTION _ltree_consistent(internal,internal,int2);
+ 
+ DROP OPERATOR ?@ (_ltree, ltxtquery);
+ 
+ DROP FUNCTION _ltxtq_extract_exec(_ltree,ltxtquery);
+ 
+ DROP OPERATOR ?~ (_ltree, lquery);
+ 
+ DROP FUNCTION _ltq_extract_regex(_ltree,lquery);
+ 
+ DROP OPERATOR ?<@ (_ltree, ltree);
+ 
+ DROP FUNCTION _ltree_extract_risparent(_ltree,ltree);
+ 
+ DROP OPERATOR ?@> (_ltree, ltree);
+ 
+ DROP FUNCTION _ltree_extract_isparent(_ltree,ltree);
+ 
+ DROP OPERATOR ^@ (ltxtquery, _ltree);
+ 
+ DROP OPERATOR ^@ (_ltree, ltxtquery);
+ 
+ DROP OPERATOR ^? (_lquery, _ltree);
+ 
+ DROP OPERATOR ^? (_ltree, _lquery);
+ 
+ DROP OPERATOR ^~ (lquery, _ltree);
+ 
+ DROP OPERATOR ^~ (_ltree, lquery);
+ 
+ DROP OPERATOR ^@> (ltree, _ltree);
+ 
+ DROP OPERATOR ^<@ (_ltree, ltree);
+ 
+ DROP OPERATOR ^<@ (ltree, _ltree);
+ 
+ DROP OPERATOR ^@> (_ltree, ltree);
+ 
+ DROP OPERATOR @ (ltxtquery, _ltree);
+ 
+ DROP OPERATOR @ (_ltree, ltxtquery);
+ 
+ DROP OPERATOR ? (_lquery, _ltree);
+ 
+ DROP OPERATOR ? (_ltree, _lquery);
+ 
+ DROP OPERATOR ~ (lquery, _ltree);
+ 
+ DROP OPERATOR ~ (_ltree, lquery);
+ 
+ DROP OPERATOR @> (ltree, _ltree);
+ 
+ DROP OPERATOR <@ (_ltree, ltree);
+ 
+ DROP OPERATOR <@ (ltree, _ltree);
+ 
+ DROP OPERATOR @> (_ltree, ltree);
+ 
+ DROP FUNCTION _ltxtq_rexec(ltxtquery, _ltree);
+ 
+ DROP FUNCTION _ltxtq_exec(_ltree, ltxtquery);
+ 
+ DROP FUNCTION _lt_q_rregex(_lquery,_ltree);
+ 
+ DROP FUNCTION _lt_q_regex(_ltree,_lquery);
+ 
+ DROP FUNCTION _ltq_rregex(lquery,_ltree);
+ 
+ DROP FUNCTION _ltq_regex(_ltree,lquery);
+ 
+ DROP FUNCTION _ltree_r_risparent(ltree,_ltree);
+ 
+ DROP FUNCTION _ltree_risparent(_ltree,ltree);
+ 
+ DROP FUNCTION _ltree_r_isparent(ltree,_ltree);
+ 
+ DROP FUNCTION _ltree_isparent(_ltree,ltree);
+ 
+ DROP OPERATOR CLASS gist_ltree_ops;
+ 
+ DROP FUNCTION ltree_same(internal, internal, internal);
+ 
+ DROP FUNCTION ltree_union(internal, internal);
+ 
+ DROP FUNCTION ltree_picksplit(internal, internal);
+ 
+ DROP FUNCTION ltree_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION ltree_decompress(internal);
+ 
+ DROP FUNCTION ltree_compress(internal);
+ 
+ DROP FUNCTION ltree_consistent(internal,internal,int2);
+ 
+ DROP TYPE ltree_gist;   
+   
+ DROP FUNCTION ltree_gist_out(ltree_gist);
+   
+ DROP FUNCTION ltree_gist_in(cstring);
+ 
+ DROP OPERATOR ^@ (ltxtquery, ltree);
+ 
+ DROP OPERATOR ^@ (ltree, ltxtquery);
+ 
+ DROP OPERATOR @ (ltxtquery, ltree);
+ 
+ DROP OPERATOR @ (ltree, ltxtquery);
+ 
+ DROP FUNCTION ltxtq_rexec(ltxtquery, ltree);
+ 
+ DROP FUNCTION ltxtq_exec(ltree, ltxtquery);
+ 
+ DROP TYPE ltxtquery;
+ 
+ DROP FUNCTION ltxtq_out(ltxtquery);
+ 
+ DROP FUNCTION ltxtq_in(cstring);
+ 
+ DROP OPERATOR ^? (_lquery, ltree);
+ 
+ DROP OPERATOR ^? (ltree, _lquery);
+ 
+ DROP OPERATOR ? (_lquery, ltree);
+ 
+ DROP OPERATOR ? (ltree, _lquery);
+ 
+ DROP FUNCTION lt_q_rregex(_lquery,ltree);
+ 
+ DROP FUNCTION lt_q_regex(ltree,_lquery);
+ 
+ DROP OPERATOR ^~ (lquery, ltree);
+ 
+ DROP OPERATOR ^~ (ltree, lquery);
+ 
+ DROP OPERATOR ~ (lquery, ltree);
+ 
+ DROP OPERATOR ~ (ltree, lquery);
+ 
+ DROP FUNCTION ltq_rregex(lquery,ltree);
+ 
+ DROP FUNCTION ltq_regex(ltree,lquery);
+ 
+ DROP TYPE lquery;
+ 
+ DROP FUNCTION lquery_out(lquery);
+ 
+ DROP FUNCTION lquery_in(cstring);
+ 
+ DROP OPERATOR CLASS ltree_ops;
+ 
+ DROP OPERATOR || (text, ltree);
+ 
+ DROP OPERATOR || (ltree, text);
+ 
+ DROP OPERATOR || (ltree, ltree);
+ 
+ DROP OPERATOR ^<@ (ltree, ltree);
+ 
+ DROP OPERATOR <@ (ltree, ltree);
+ 
+ DROP OPERATOR ^@> (ltree, ltree);
+ 
+ DROP OPERATOR @> (ltree, ltree);
+ 
+ DROP FUNCTION ltree_textadd(text,ltree);
+ 
+ DROP FUNCTION ltree_addtext(ltree,text);
+ 
+ DROP FUNCTION ltree_addltree(ltree,ltree);
+ 
+ DROP FUNCTION ltree_risparent(ltree,ltree);
+ 
+ DROP FUNCTION ltree_isparent(ltree,ltree);
+ 
+ DROP FUNCTION lca(ltree,ltree,ltree,ltree,ltree,ltree,ltree,ltree);
+ 
+ DROP FUNCTION lca(ltree,ltree,ltree,ltree,ltree,ltree,ltree);
+ 
+ DROP FUNCTION lca(ltree,ltree,ltree,ltree,ltree,ltree);
+ 
+ DROP FUNCTION lca(ltree,ltree,ltree,ltree,ltree);
+ 
+ DROP FUNCTION lca(ltree,ltree,ltree,ltree);
+ 
+ DROP FUNCTION lca(ltree,ltree,ltree);
+ 
+ DROP FUNCTION lca(ltree,ltree);
+ 
+ DROP FUNCTION lca(_ltree);
+ 
+ DROP FUNCTION text2ltree(text);
+ 
+ DROP FUNCTION ltree2text(ltree);
+ 
+ DROP FUNCTION nlevel(ltree);
+ 
+ DROP FUNCTION index(ltree,ltree,int4);
+ 
+ DROP FUNCTION index(ltree,ltree);
+ 
+ DROP FUNCTION subpath(ltree,int4);
+ 
+ DROP FUNCTION subpath(ltree,int4,int4);
+ 
+ DROP FUNCTION subltree(ltree,int4,int4);
+ 
+ DROP OPERATOR <> (ltree, ltree);
+ 
+ DROP OPERATOR = (ltree, ltree);
+ 
+ DROP OPERATOR > (ltree, ltree);
+ 
+ DROP OPERATOR >= (ltree, ltree);
+ 
+ DROP OPERATOR <= (ltree, ltree);
+ 
+ DROP OPERATOR < (ltree, ltree);
+ 
+ DROP FUNCTION ltree_ne(ltree,ltree);
+ 
+ DROP FUNCTION ltree_gt(ltree,ltree);
+ 
+ DROP FUNCTION ltree_ge(ltree,ltree);
+ 
+ DROP FUNCTION ltree_eq(ltree,ltree);
+ 
+ DROP FUNCTION ltree_le(ltree,ltree);
+ 
+ DROP FUNCTION ltree_lt(ltree,ltree);
+ 
+ DROP FUNCTION ltree_cmp(ltree,ltree);
+ 
+ DROP TYPE ltree;
+ 
+ DROP FUNCTION ltree_out(ltree);
+ 
+ DROP FUNCTION ltree_in(cstring);
Index: contrib/oid2name/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/oid2name/Makefile,v
retrieving revision 1.8
diff -c -r1.8 Makefile
*** contrib/oid2name/Makefile	27 Sep 2005 17:13:06 -0000	1.8
--- contrib/oid2name/Makefile	15 Jan 2006 01:07:57 -0000
***************
*** 1,4 ****
! # $PostgreSQL: pgsql/contrib/oid2name/Makefile,v 1.7 2005/03/25 18:17:11 momjian Exp $
  
  PROGRAM = oid2name
  OBJS	= oid2name.o
--- 1,4 ----
! # $PostgreSQL: pgsql/contrib/oid2name/Makefile,v 1.8 2005/09/27 17:13:06 tgl Exp $
  
  PROGRAM = oid2name
  OBJS	= oid2name.o
Index: contrib/pg_buffercache/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/pg_buffercache/Makefile,v
retrieving revision 1.2
diff -c -r1.2 Makefile
*** contrib/pg_buffercache/Makefile	27 Sep 2005 17:13:07 -0000	1.2
--- contrib/pg_buffercache/Makefile	15 Jan 2006 01:11:54 -0000
***************
*** 1,9 ****
! # $PostgreSQL: pgsql/contrib/pg_buffercache/Makefile,v 1.1 2005/03/12 15:36:24 neilc Exp $
  
  MODULE_big = pg_buffercache
  OBJS	= pg_buffercache_pages.o
  
  DATA_built = pg_buffercache.sql 
  DOCS = README.pg_buffercache
  
  ifdef USE_PGXS
--- 1,10 ----
! # $PostgreSQL: pgsql/contrib/pg_buffercache/Makefile,v 1.2 2005/09/27 17:13:07 tgl Exp $
  
  MODULE_big = pg_buffercache
  OBJS	= pg_buffercache_pages.o
  
  DATA_built = pg_buffercache.sql 
+ DATA = uninstall.sql 
  DOCS = README.pg_buffercache
  
  ifdef USE_PGXS
Index: contrib/pg_buffercache/uninstall.sql
===================================================================
RCS file: contrib/pg_buffercache/uninstall.sql
diff -N contrib/pg_buffercache/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/pg_buffercache/uninstall.sql	15 Jan 2006 01:13:07 -0000
***************
*** 0 ****
--- 1,6 ----
+ -- Adjust this setting to control where the objects get created.
+ SET search_path = public;
+ 
+ DROP VIEW pg_buffercache;
+ 
+ DROP FUNCTION pg_buffercache_pages();
Index: contrib/pg_trgm/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/pg_trgm/Makefile,v
retrieving revision 1.3
diff -c -r1.3 Makefile
*** contrib/pg_trgm/Makefile	27 Sep 2005 17:13:07 -0000	1.3
--- contrib/pg_trgm/Makefile	15 Jan 2006 01:16:13 -0000
***************
*** 5,10 ****
--- 5,11 ----
  OBJS = trgm_op.o trgm_gist.o 
  
  DATA_built = pg_trgm.sql
+ DATA = uninstall.sql
  DOCS = README.pg_trgm
  REGRESS = pg_trgm
  
Index: contrib/pg_trgm/uninstall.sql
===================================================================
RCS file: contrib/pg_trgm/uninstall.sql
diff -N contrib/pg_trgm/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/pg_trgm/uninstall.sql	15 Jan 2006 01:51:53 -0000
***************
*** 0 ****
--- 1,39 ----
+ SET search_path = public;
+ 
+ BEGIN;
+ 
+ DROP OPERATOR CLASS gist_trgm_ops;
+ 
+ DROP FUNCTION gtrgm_same(gtrgm, gtrgm, internal);
+ 
+ DROP FUNCTION gtrgm_union(bytea, internal);
+ 
+ DROP FUNCTION gtrgm_picksplit(internal, internal);
+ 
+ DROP FUNCTION gtrgm_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gtrgm_decompress(internal);
+ 
+ DROP FUNCTION gtrgm_compress(internal);
+  
+ DROP FUNCTION gtrgm_consistent(gtrgm,internal,int4);
+ 
+ DROP TYPE gtrgm;
+ 
+ DROP FUNCTION gtrgm_out(gtrgm);
+ 
+ DROP FUNCTION gtrgm_in(cstring);
+ 
+ DROP OPERATOR % (text, text);
+ 
+ DROP FUNCTION similarity_op(text,text);
+ 
+ DROP FUNCTION similarity(text,text);
+ 
+ DROP FUNCTION show_trgm(text);
+ 
+ DROP FUNCTION show_limit();
+ 
+ DROP FUNCTION set_limit(float4);
+ 
+ COMMIT;
Index: contrib/pgstattuple/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/pgstattuple/Makefile,v
retrieving revision 1.4
diff -c -r1.4 Makefile
*** contrib/pgstattuple/Makefile	27 Sep 2005 17:13:09 -0000	1.4
--- contrib/pgstattuple/Makefile	15 Jan 2006 01:13:42 -0000
***************
*** 2,8 ****
  #
  # pgstattuple Makefile
  #
! # $PostgreSQL: pgsql/contrib/pgstattuple/Makefile,v 1.3 2004/08/20 20:13:07 momjian Exp $
  #
  #-------------------------------------------------------------------------
  
--- 2,8 ----
  #
  # pgstattuple Makefile
  #
! # $PostgreSQL: pgsql/contrib/pgstattuple/Makefile,v 1.4 2005/09/27 17:13:09 tgl Exp $
  #
  #-------------------------------------------------------------------------
  
***************
*** 12,17 ****
--- 12,18 ----
  OBJS		= $(SRCS:.c=.o)
  DOCS		= README.pgstattuple README.pgstattuple.euc_jp
  DATA_built	= pgstattuple.sql
+ DATA      	= uninstall.sql
  
  ifdef USE_PGXS
  PGXS := $(shell pg_config --pgxs)
Index: contrib/pgstattuple/uninstall.sql
===================================================================
RCS file: contrib/pgstattuple/uninstall.sql
diff -N contrib/pgstattuple/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/pgstattuple/uninstall.sql	15 Jan 2006 01:14:58 -0000
***************
*** 0 ****
--- 1,8 ----
+ -- Adjust this setting to control where the objects get created.
+ SET search_path = public;
+ 
+ DROP FUNCTION pgstattuple(oid);
+ 
+ DROP FUNCTION pgstattuple(text);
+ 
+ DROP TYPE pgstattuple_type;
Index: contrib/seg/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/seg/Makefile,v
retrieving revision 1.14
diff -c -r1.14 Makefile
*** contrib/seg/Makefile	18 Oct 2005 01:30:48 -0000	1.14
--- contrib/seg/Makefile	15 Jan 2006 02:07:01 -0000
***************
*** 1,8 ****
! # $PostgreSQL: pgsql/contrib/seg/Makefile,v 1.13 2005/09/27 17:13:09 tgl Exp $
  
  MODULE_big = seg
  OBJS = seg.o segparse.o
  DATA_built = seg.sql
  DOCS = README.seg
  REGRESS = seg
  
--- 1,9 ----
! # $PostgreSQL: pgsql/contrib/seg/Makefile,v 1.14 2005/10/18 01:30:48 tgl Exp $
  
  MODULE_big = seg
  OBJS = seg.o segparse.o
  DATA_built = seg.sql
+ DATA = uninstall.sql
  DOCS = README.seg
  REGRESS = seg
  
Index: contrib/seg/uninstall.sql
===================================================================
RCS file: contrib/seg/uninstall.sql
diff -N contrib/seg/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/seg/uninstall.sql	15 Jan 2006 02:10:07 -0000
***************
*** 0 ****
--- 1,89 ----
+ SET search_path = public;
+ 
+ DROP OPERATOR CLASS gist_seg_ops;
+ 
+ DROP OPERATOR CLASS seg_ops;
+ 
+ DROP FUNCTION gseg_same(seg, seg, internal);
+ 
+ DROP FUNCTION gseg_union(internal, internal);
+ 
+ DROP FUNCTION gseg_picksplit(internal, internal);
+ 
+ DROP FUNCTION gseg_penalty(internal,internal,internal);
+ 
+ DROP FUNCTION gseg_decompress(internal);
+ 
+ DROP FUNCTION gseg_compress(internal);
+ 
+ DROP FUNCTION gseg_consistent(internal,seg,int4);
+ 
+ DROP OPERATOR ~ (seg, seg);
+ 
+ DROP OPERATOR @ (seg, seg);
+ 
+ DROP OPERATOR <> (seg, seg);
+ 
+ DROP OPERATOR = (seg, seg);
+ 
+ DROP OPERATOR >> (seg, seg);
+ 
+ DROP OPERATOR &> (seg, seg);
+ 
+ DROP OPERATOR && (seg, seg);
+ 
+ DROP OPERATOR &< (seg, seg);
+ 
+ DROP OPERATOR << (seg, seg);
+ 
+ DROP OPERATOR >= (seg, seg);
+ 
+ DROP OPERATOR > (seg, seg);
+ 
+ DROP OPERATOR <= (seg, seg);
+ 
+ DROP OPERATOR < (seg, seg);
+ 
+ DROP FUNCTION seg_lower(seg);
+ 
+ DROP FUNCTION seg_upper(seg);
+ 
+ DROP FUNCTION seg_size(seg);
+ 
+ DROP FUNCTION seg_inter(seg, seg);
+ 
+ DROP FUNCTION seg_union(seg, seg);
+ 
+ DROP FUNCTION seg_cmp(seg, seg);
+ 
+ DROP FUNCTION seg_different(seg, seg);
+ 
+ DROP FUNCTION seg_same(seg, seg);
+ 
+ DROP FUNCTION seg_overlap(seg, seg);
+ 
+ DROP FUNCTION seg_contained(seg, seg);
+ 
+ DROP FUNCTION seg_contains(seg, seg);
+ 
+ DROP FUNCTION seg_ge(seg, seg);
+ 
+ DROP FUNCTION seg_gt(seg, seg);
+ 
+ DROP FUNCTION seg_le(seg, seg);
+ 
+ DROP FUNCTION seg_lt(seg, seg);
+ 
+ DROP FUNCTION seg_right(seg, seg);
+ 
+ DROP FUNCTION seg_left(seg, seg);
+ 
+ DROP FUNCTION seg_over_right(seg, seg);
+ 
+ DROP FUNCTION seg_over_left(seg, seg);
+ 
+ DROP TYPE seg;
+ 
+ DROP FUNCTION seg_out(seg);
+ 
+ DROP FUNCTION seg_in(cstring);
Index: contrib/tablefunc/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/tablefunc/Makefile,v
retrieving revision 1.5
diff -c -r1.5 Makefile
*** contrib/tablefunc/Makefile	27 Sep 2005 17:13:10 -0000	1.5
--- contrib/tablefunc/Makefile	15 Jan 2006 02:13:39 -0000
***************
*** 1,5 ****
--- 1,6 ----
  MODULES = tablefunc
  DATA_built = tablefunc.sql
+ DATA = uninstall.sql
  DOCS = README.tablefunc
  REGRESS = tablefunc
  
Index: contrib/tablefunc/uninstall.sql
===================================================================
RCS file: contrib/tablefunc/uninstall.sql
diff -N contrib/tablefunc/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/tablefunc/uninstall.sql	15 Jan 2006 02:14:38 -0000
***************
*** 0 ****
--- 1,29 ----
+ SET search_path = public;
+ 
+ DROP FUNCTION connectby(text,text,text,text,text,int);
+ 
+ DROP FUNCTION connectby(text,text,text,text,text,int,text);
+ 
+ DROP FUNCTION connectby(text,text,text,text,int);
+ 
+ DROP FUNCTION connectby(text,text,text,text,int,text);
+ 
+ DROP FUNCTION crosstab(text,text);
+ 
+ DROP FUNCTION crosstab(text,int);
+ 
+ DROP FUNCTION crosstab4(text);
+ 
+ DROP FUNCTION crosstab3(text);
+ 
+ DROP FUNCTION crosstab2(text);
+ 
+ DROP TYPE tablefunc_crosstab_4;
+ 
+ DROP TYPE tablefunc_crosstab_3;
+ 
+ DROP TYPE tablefunc_crosstab_2;
+ 
+ DROP FUNCTION crosstab(text);
+ 
+ DROP FUNCTION normal_rand(int4, float8, float8);
Index: contrib/userlock/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/userlock/Makefile,v
retrieving revision 1.19
diff -c -r1.19 Makefile
*** contrib/userlock/Makefile	27 Sep 2005 17:13:13 -0000	1.19
--- contrib/userlock/Makefile	15 Jan 2006 02:16:10 -0000
***************
*** 1,7 ****
! # $PostgreSQL: pgsql/contrib/userlock/Makefile,v 1.18 2004/08/20 20:13:09 momjian Exp $
  
  MODULES = user_locks
  DATA_built = user_locks.sql
  DOCS = README.user_locks
  
  ifdef USE_PGXS
--- 1,8 ----
! # $PostgreSQL: pgsql/contrib/userlock/Makefile,v 1.19 2005/09/27 17:13:13 tgl Exp $
  
  MODULES = user_locks
  DATA_built = user_locks.sql
+ DATA = uninstall.sql
  DOCS = README.user_locks
  
  ifdef USE_PGXS
Index: contrib/userlock/uninstall.sql
===================================================================
RCS file: contrib/userlock/uninstall.sql
diff -N contrib/userlock/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/userlock/uninstall.sql	15 Jan 2006 02:16:33 -0000
***************
*** 0 ****
--- 1,23 ----
+ SET search_path = public;
+ 
+ DROP FUNCTION user_unlock_all();
+ 
+ DROP FUNCTION user_write_unlock_oid(int4);
+ 
+ DROP FUNCTION user_write_lock_oid(int4);
+ 
+ DROP FUNCTION user_write_unlock_oid(oid);
+ 
+ DROP FUNCTION user_write_lock_oid(oid);
+ 
+ DROP FUNCTION user_write_unlock(int4,oid);
+ 
+ DROP FUNCTION user_write_lock(int4,oid);
+ 
+ DROP FUNCTION user_write_unlock(int4,int4);
+ 
+ DROP FUNCTION user_write_lock(int4,int4);
+ 
+ DROP FUNCTION user_unlock(int4,int4,int4);
+ 
+ DROP FUNCTION user_lock(int4,int4,int4);
Index: contrib/xml2/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/xml2/Makefile,v
retrieving revision 1.6
diff -c -r1.6 Makefile
*** contrib/xml2/Makefile	27 Sep 2005 17:13:13 -0000	1.6
--- contrib/xml2/Makefile	15 Jan 2006 02:18:37 -0000
***************
*** 9,14 ****
--- 9,15 ----
  SHLIB_LINK = -lxml2 -lxslt
  
  DATA_built = pgxml.sql
+ DATA = uninstall.sql
  DOCS = README.xml2
  
  override CFLAGS += $(shell xml2-config --cflags)
Index: contrib/xml2/uninstall.sql
===================================================================
RCS file: contrib/xml2/uninstall.sql
diff -N contrib/xml2/uninstall.sql
*** /dev/null	1 Jan 1970 00:00:00 -0000
--- contrib/xml2/uninstall.sql	15 Jan 2006 02:18:43 -0000
***************
*** 0 ****
--- 1,27 ----
+ SET search_path = public;
+ 
+ DROP FUNCTION xslt_process(text,text);
+ 
+ DROP FUNCTION xslt_process(text,text,text);
+ 
+ DROP FUNCTION xpath_table(text,text,text,text,text);
+ 
+ DROP FUNCTION xpath_nodeset(text,text,text);
+ 
+ DROP FUNCTION xpath_nodeset(text,text);
+ 
+ DROP FUNCTION xpath_list(text,text);
+ 
+ DROP FUNCTION xpath_list(text,text,text);
+ 
+ DROP FUNCTION xpath_bool(text,text);
+ 
+ DROP FUNCTION xpath_number(text,text);
+ 
+ DROP FUNCTION xpath_nodeset(text,text,text,text);
+ 
+ DROP FUNCTION xpath_string(text,text);
+ 
+ DROP FUNCTION xml_encode_special_chars(text);
+ 
+ DROP FUNCTION xml_valid(text);
